CVE-2024-33883

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2024-33883
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2024-33883.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2024-33883
Aliases
Published
2024-04-28T16:15:23Z
Modified
2024-06-10T20:24:39.040156Z
Summary
[none]
Details

The ejs (aka Embedded JavaScript templates) package before 3.1.10 for Node.js lacks certain pollution protection.

References

Affected packages

Git / github.com/mde/ejs

Affected ranges

Type
GIT
Repo
https://github.com/mde/ejs
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

v2.*

v2.0.1
v2.0.2
v2.0.3
v2.0.4
v2.0.5
v2.0.6
v2.0.7
v2.0.8
v2.1.1
v2.1.2
v2.1.3
v2.1.4
v2.2.1
v2.2.2
v2.2.3
v2.2.4
v2.3.1
v2.3.2
v2.3.3
v2.3.4
v2.4.1
v2.4.2
v2.5.1
v2.5.2
v2.5.3
v2.5.4
v2.5.5
v2.5.6
v2.5.7
v2.5.8
v2.5.9
v2.6.1
v2.6.2
v2.7.1
v2.7.2
v2.7.3
v2.7.4

v3.*

v3.0.1
v3.0.2
v3.1.2
v3.1.3
v3.1.5
v3.1.6
v3.1.7
v3.1.8
v3.1.9